Package Base Details: python-paddlepaddle-git

Git Clone URL: https://aur.archlinux.org/python-paddlepaddle-git.git (read-only, click to copy)
Submitter: hottea
Maintainer: None
Last Packager: hottea
Votes: 0
Popularity: 0.000000
First Submitted: 2021-12-23 14:20 (UTC)
Last Updated: 2021-12-24 03:49 (UTC)

Latest Comments

hottea commented on 2022-01-27 15:23 (UTC)

@carlosal1015 You could check the here to find a repo where they provides build machine to build this pkg.

carlosal1015 commented on 2022-01-26 15:56 (UTC)

Well, if the package can be compiled without cuda, maybe an if-else filter can be used. Anyway, thank you very much for the explanation. Perhaps a PKGBUILD of more than 100 lines is not intuitive to modify for everyone.

hottea commented on 2021-12-24 01:16 (UTC)

This PKGBUILD builds python-paddlepaddle-git and python-paddlepaddle-cuda-git from the source. It takes about 2.5 hours to build it. To reduce the building time, you could adjust _CUDA_ARCH_LIST. If you don't need python-paddlepaddle-cuda-git, you could comment out the cuda part. See also here if you'd like to build python-paddlepaddle and python-paddlepaddle-cuda from the source.

hottea commented on 2021-12-24 01:11 (UTC)

@carlosal1015 You don't have cuda installed? You could build a package in a clean chroot using this command:

extra-x86_64-build

carlosal1015 commented on 2021-12-23 15:23 (UTC)

Hi, I have the following message error:

==> Validating source files with sha512sums...
    Paddle ... Skipped
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Creating working copy of Paddle git repo...
Cloning into 'Paddle'...
done.
==> Starting prepare()...
==> Starting pkgver()...
==> Sources are ready.
==> Making package: python-paddlepaddle-git 2.2.1.r33234.8da9eff4e49-1 (Thu 23 Dec 2021 10:16:01 AM -05)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Starting pkgver()...
==> Starting build()...
-- Found Paddle host system: , version: 
-- Found Paddle host system's CPU: 16 cores
-- The CXX compiler identification is GNU 11.1.0
-- The C compiler identification is GNU 11.1.0
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Check for working CXX compiler: /usr/sbin/c++ - skipped
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/sbin/cc - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD - Failed
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE  
CMake Error at /usr/share/cmake/Modules/CMakeDetermineCUDACompiler.cmake:179 (message):
  Failed to find nvcc.

  Compiler requires the CUDA toolkit.  Please set the CUDAToolkit_ROOT
  variable.
Call Stack (most recent call first):
  CMakeLists.txt:73 (enable_language)


-- Configuring incomplete, errors occurred!
See also "/tmp/makepkg/python-paddlepaddle-git/src/build-cuda/CMakeFiles/CMakeOutput.log".
See also "/tmp/makepkg/python-paddlepaddle-git/src/build-cuda/CMakeFiles/CMakeError.log".
==> ERROR: A failure occurred in build().